classification
Title: pdb c(ont(inue)) optional one-time-only breakpoint (like perl debugger)
Type: enhancement Stage: resolved
Components: Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: iritkatriel, nlevitt@gmail.com
Priority: normal Keywords: patch

Created on 2014-01-04 04:13 by nlevitt@gmail.com, last changed 2020-10-20 10:42 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
pdb-continue-onetime-bp-00.diff nlevitt@gmail.com, 2014-01-04 04:13 pdb-continue-onetime-bp-00.diff - patch implementing this feature review
Messages (2)
msg207266 - (view) Author: (nlevitt@gmail.com) Date: 2014-01-04 04:13
The continue command in perl's debugger (perl -d) supports setting a one-time-only breakpoint. IMHO this is incredibly useful. For instance when stepping through a program, if you get stuck in a loop, you can move past it with a simple one line command "c [line-after-loop]".

pdb could have the same thing!
msg376049 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-08-28 22:53
Pdb already has this, it's the tbreak command.
History
Date User Action Args
2020-10-20 10:42:44iritkatrielsetstatus: open -> closed
resolution: out of date
stage: test needed -> resolved
2020-09-19 19:01:44georg.brandlsetnosy: - georg.brandl
2020-08-28 22:53:01iritkatrielsetnosy: + iritkatriel
messages: + msg376049
2014-01-10 22:42:37terry.reedysetstage: test needed
versions: + Python 3.5
2014-01-04 20:26:40ned.deilysetnosy: + georg.brandl
2014-01-04 04:13:31nlevitt@gmail.comcreate